/*
 * @Author: WangJiaCheng
 * @Date: 2021-07-09 16:03:43
 * @LastEditors: WangJiaCheng
 * @LastEditTime: 2021-07-16 10:55:19
 * @Description: 页面 store
 */
export default {
  namespaced: true,
  state: {
    activeTab: 'page',
    pageConfig: {},
    formConfig: {},
    listConfig: {},
    detailConfig: {}
  },
  mutations: {
    setActiveTab(state, payload) {
      state.activeTab = payload
    },
    setPageConfig(state, payload) {
      state.pageConfig = payload
    },
    setFormConfig(state, payload) {
      state.formConfig = payload
    },
    setListConfig(state, payload) {
      state.listConfig = payload
    },
    setDetailConfig(state, payload) {
      state.detailConfig = payload
    }
  }
}
